from django.db import models
from django.utils import timezone
from azienda.models import *
from amministratore.models import *


class Permesso(models.Model):
  nome=models.CharField(null=True,max_length=20)
  descrizione=models.CharField(null=True,max_length=128)
  def __str__(self):
    return f"{self.id}: {self.nome}"

class AMP(models.Model):
  # AMP: Associazione Permessi Amministratore
  amministratore = models.ForeignKey(Amministratore,on_delete=models.PROTECT)
  permesso = models.ForeignKey(Permesso,on_delete=models.PROTECT)
  class Meta:
    unique_together = (("amministratore","permesso"),)

class AZP(models.Model):
  # AZP: Associazione Permessi Azienda
  amministratore = models.ForeignKey(Amministratore,on_delete=models.PROTECT,null=True)
  azienda = models.ForeignKey(Azienda,on_delete=models.PROTECT)
  permesso = models.ForeignKey(Permesso,on_delete=models.PROTECT)
  class Meta:
    unique_together = (("amministratore","azienda","permesso"),)

class SEP(models.Model):
  # SEP: Associazione Permessi Azienda
  amministratore = models.ForeignKey(Amministratore,on_delete=models.PROTECT,null=True)
  sede = models.ForeignKey(Sede,on_delete=models.PROTECT)
  permesso = models.ForeignKey(Permesso,on_delete=models.PROTECT)
  class Meta:
    unique_together = (("amministratore","sede","permesso"),)

